﻿using SuperSocket.SocketBase.Command;
using SuperSocket.SocketBase.Protocol;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WindowsFormsApp.Session;

namespace WindowsFormsApp.Command
{
    //类名不能以数字开头，为了处理数字开头的Key，所以重写Name属性
    //说明：属性 "Name" 的值用于匹配接收到请求实例(requestInfo)的Key
    public class MyCommand1 : CommandBase<MySession, StringRequestInfo>
    {
        public override string Name
        {
            get
            {
                return "100";
            }
        }

        public override void ExecuteCommand(MySession session, StringRequestInfo requestInfo)
        {
            //向客户端返回信息,已接收到100命令
            session.Send("Order 100 received");
            session.Send("Key:" + requestInfo.Key);
            session.Send("Body:" + requestInfo.Body);
            
            this.Invoke((EventHandler)(delegate { label2.Text = "检测中……"; label2.ForeColor = Color.Blue; }));
          
        }
    }
}
