﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SuperSocket.SocketBase;
using SuperSocket.SocketBase.Protocol;
using WindowsFormsApp.Session;//引入自定义的MySession类的命名空间

namespace WindowsFormsApp.Server
{
    public class MyServer: AppServer<MySession>
    {
        //key和body以及body中参数间，默认通过空格分隔
        //修改构造函数，实现自己的命令行协议。:分隔key和body ,分隔参数
        public MyServer():base(new CommandLineReceiveFilterFactory(Encoding.Default,new BasicRequestInfoParser(":", ",")))
        {
            
        }
        protected override void OnStarted()
        {
            base.OnStarted();
            //Console.WriteLine("服务器已启动");
        }
        protected override void OnNewSessionConnected(MySession session)
        {
            base.OnNewSessionConnected(session);
            //输出客户端IP地址
            //Console.Write("\r\n" + session.LocalEndPoint.Address.ToString() + ":连接");//？本地IP
            //Console.Write("\r\n" + session.RemoteEndPoint.Address.ToString() + ":连接");//？客户端IP
            
        }
        protected override void OnSessionClosed(MySession session, CloseReason reason)
        {
            base.OnSessionClosed(session, reason);
            //输出客户端IP地址
            //Console.Write("\r\n" + session.LocalEndPoint.Address.ToString() + ":断开连接");
        }
        protected override void OnStopped()
        {
            base.OnStopped();
            //Console.WriteLine("服务器已停止");
        }
    }
}
