﻿using SuperSocket.SocketBase.Command;
using SuperSocket.SocketBase.Protocol;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WindowsFormsApp.Session;

namespace WindowsFormsApp.Command
{
    public class MyCommand2 : CommandBase<MySession, StringRequestInfo>
    {
        public override string Name
        {
            get
            {
                return "200";
            }
        }

        public override void ExecuteCommand(MySession session, StringRequestInfo requestInfo)
        {
            //向客户端返回信息,已接收到200命令
            session.Send("Order 200 received");
            session.Send("Key:" + requestInfo.Key);
            session.Send("Body:" + requestInfo.Body);
        }
    }
}
