﻿using SuperSocket.SocketBase;
using SuperSocket.SocketEngine;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //声明bootStrap实例
            var bootstrap = BootstrapFactory.CreateBootstrap();
            //初始化
            if (!bootstrap.Initialize())
            {
                SetMessage("初始化失败!");
                return;
            }
            //开启服务
            var result = bootstrap.Start();
            SetMessage("服务正在启动:"+result);

            if (result == StartResult.Failed)
            {
                SetMessage("服务启动失败!");
                return;
            }
            else
            {
                SetMessage("服务器启动成功！");
            }
            //bootstrap.Stop();
            //SetMessage("服务已停止!");   
        }
        public void SetMessage(string msg)//自定义方法
        {
            this.richTextBox1.Invoke(new Action(() => { this.richTextBox1.AppendText(msg + "\r\n"); }));
        }
    }
}